Subject: Re: Patch to wu-ftpd-2.4 to keep those idiots at bay

From: Joshua Cowan <[email-masked]>
Date: Sun, 16 Jul 95 02:08:50 CDT

I'm Cc'ing this to Mr. Molenda in hopes that it will save him some trouble,
assuming my thoughts are correct.

In a previous episode, Jason Molenda ([email-masked]) wrote:
> I added a new command to the ftpaccess file of wu-ftpd-2.4.  I am
> appending the patch; it is a small one.  The command is exactly like
> the chmod, overwrite, delete et al commands; it specifies who exactly
> has permissions to make directories.  I can find no e-mail address of
> anyone responsible for wu-ftpd-2.4 in the sources, so I am Cc:'ing
> [email-masked].

Maybe I'm missing something (quite likely), but I don't see how this feature
does anything useful, since the only directories (in the anonymous FTP
hierarchy) that should be writable by anyone other than their owner should
be the ``incoming'' directories --- in which case the ``nodirs''
specification to the ``upload'' keyword performs this same function, with no
code modifications.

Just a thought ...

--
Joshua Cowan <[email-masked]> | I don't want to listen but
http://hermit.reslife.okstate.edu/~jcowan        | but it's all too clear ...
Computer Engineering Student --- Oklahoma State University --- Stillwater, OK
PGP key available from any PGP keyserver or by fingering the above address.

---

From: Russell Street <[email-masked]>
Date: Sun, 16 Jul 1995 19:25:03 +1200 (NZT)

Hello...

> A few hours after I found & removed some directories from our /incoming
> directory ...

I have the following lines in my access file:

upload  /ftp    *               no
upload  /ftp    /incoming       yes root ftpadmin 0660 nodirs
 
and I am unable to create directories via anonymous FTP...

# ftp ftp 
... anonmous login and cd to /incoming
ftp> mkdir foo
530 foo: Permission denied.  (Upload)
ftp> quot mkd foo
530 foo: Permission denied.  (Upload)

Have I missed something?

Russell

---

From: Jason Molenda <[email-masked]>
Date: Sun, 16 Jul 1995 00:18:49 -0700 (PDT)

> specification to the ``upload'' keyword performs this same function, with no

Indeed, I seem to have just made a patch to do something that wu-ftpd
can already do.  Thank you for pointing TFM out to me!  I'll drop my
hack and use the nodirs option.

Jason